Subject: Re: bug#36270: executable-find does not find shell commands on MSYS2

From: Juanma Barranquero <[email-masked]>
Date: Wed, 19 Jun 2019 21:22:59 +0200

On Wed, Jun 19, 2019 at 7:44 PM Andy Moreton <[email-masked]> wrote:

> I use the following advice in a Windows build of emacs to get shell
> scripts working for Cygwin. MSYS2 should be similar, with a suitable
> setting for `shell-file-name':

That seems useful, thanks.

Though there's no error checking at all, isn't it? You try to execute
a command, and if it is not executable from `executable-find' POV, off
to the shell it goes...